## org.eclipse.datatools.connectivity.sqm.loader
Interface JDBCRoutineLoader.IRoutineFactory

All Known Implementing Classes:
  JDBCRoutineLoader.ProcedureFactory

Enclosing interface:
  JDBCRoutineLoader

public static interface JDBCRoutineLoader.IRoutineFactory

Interface for providing creation logic for routines.

Method Summary
`Routine` `createRoutine(java.sql.ResultSet rs)` Creates and initializes a routine object based on the meta-data in the result set.
`EClass` `getRoutineEClass()`

Method Detail

### getRoutineEClass

    public EClass getRoutineEClass()

  Returns:
    the EClass used to represent the routine objects created by this factory. This is used to identify existing objects in the model during a refresh (e.g. to reuse the object, preventing external references from breaking).

### createRoutine

    public Routine createRoutine(java.sql.ResultSet rs)
                          throws java.sql.SQLException

  Creates and initializes a routine object based on the meta-data in the result set.

  Parameters:
    `rs` - the result set
  Returns:
    a new, initialized Routine object.
  Throws:
    `java.sql.SQLException` - if anything goes wrong

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.